package com.mortals.xhx.module.attendance.model;

import java.util.List;
import com.mortals.xhx.module.attendance.model.AttendanceGroupStaffEntity;
/**
* 考勤组人员信息查询对象
*
* @author zxfei
* @date 2023-04-08
*/
public class AttendanceGroupStaffQuery extends AttendanceGroupStaffEntity {
    /** 开始 序号，主键，自增长 */
    private Long idStart;

    /** 结束 序号，主键，自增长 */
    private Long idEnd;

    /** 增加 序号，主键，自增长 */
    private Long idIncrement;

    /** 序号，主键，自增长列表 */
    private List <Long> idList;

    /** 序号，主键，自增长排除列表 */
    private List <Long> idNotList;

    /** 开始 考勤组 */
    private Long groupIdStart;

    /** 结束 考勤组 */
    private Long groupIdEnd;

    /** 增加 考勤组 */
    private Long groupIdIncrement;

    /** 考勤组列表 */
    private List <Long> groupIdList;

    /** 考勤组排除列表 */
    private List <Long> groupIdNotList;

    /** 考勤组名称 */
    private List<String> groupNameList;

    /** 考勤组名称排除列表 */
    private List <String> groupNameNotList;
    /** 开始 员工ID */
    private Long staffIdStart;

    /** 结束 员工ID */
    private Long staffIdEnd;

    /** 增加 员工ID */
    private Long staffIdIncrement;

    /** 员工ID列表 */
    private List <Long> staffIdList;

    /** 员工ID排除列表 */
    private List <Long> staffIdNotList;

    /** 员工姓名 */
    private List<String> staffNameList;

    /** 员工姓名排除列表 */
    private List <String> staffNameNotList;
    /** 开始 是否参与考勤，(0.否,1.是) */
    private Integer partAttendanceStart;

    /** 结束 是否参与考勤，(0.否,1.是) */
    private Integer partAttendanceEnd;

    /** 增加 是否参与考勤，(0.否,1.是) */
    private Integer partAttendanceIncrement;

    /** 是否参与考勤，(0.否,1.是)列表 */
    private List <Integer> partAttendanceList;

    /** 是否参与考勤，(0.否,1.是)排除列表 */
    private List <Integer> partAttendanceNotList;

    /** 备注 */
    private List<String> remarkList;

    /** 备注排除列表 */
    private List <String> remarkNotList;
    /** 开始 创建用户 */
    private Long createUserIdStart;

    /** 结束 创建用户 */
    private Long createUserIdEnd;

    /** 增加 创建用户 */
    private Long createUserIdIncrement;

    /** 创建用户列表 */
    private List <Long> createUserIdList;

    /** 创建用户排除列表 */
    private List <Long> createUserIdNotList;

    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 更新用户 */
    private Long updateUserIdStart;

    /** 结束 更新用户 */
    private Long updateUserIdEnd;

    /** 增加 更新用户 */
    private Long updateUserIdIncrement;

    /** 更新用户列表 */
    private List <Long> updateUserIdList;

    /** 更新用户排除列表 */
    private List <Long> updateUserIdNotList;

    /** 开始 更新时间 */
    private String updateTimeStart;

    /** 结束 更新时间 */
    private String updateTimeEnd;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<AttendanceGroupStaffQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<AttendanceGroupStaffQuery> andConditionList;

    public AttendanceGroupStaffQuery(){}

    /**
    * 获取 开始 序号，主键，自增长
    * @return idStart
    */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
    * 设置 开始 序号，主键，自增长
    * @param idStart
    */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
    * 获取 结束 序号，主键，自增长
    * @return $idEnd
    */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
    * 设置 结束 序号，主键，自增长
    * @param idEnd
    */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
    * 获取 增加 序号，主键，自增长
    * @return idIncrement
    */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
    * 设置 增加 序号，主键，自增长
    * @param idIncrement
    */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
    * 获取 序号，主键，自增长
    * @return idList
    */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
    * 设置 序号，主键，自增长
    * @param idList
    */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
    * 获取 序号，主键，自增长
    * @return idNotList
    */
    public List<Long> getIdNotList(){
        return this.idNotList;
    }

    /**
    * 设置 序号，主键，自增长
    * @param idNotList
    */
    public void setIdNotList(List<Long> idNotList){
        this.idNotList = idNotList;
    }


    /**
    * 获取 开始 考勤组
    * @return groupIdStart
    */
    public Long getGroupIdStart(){
        return this.groupIdStart;
    }

    /**
    * 设置 开始 考勤组
    * @param groupIdStart
    */
    public void setGroupIdStart(Long groupIdStart){
        this.groupIdStart = groupIdStart;
    }

    /**
    * 获取 结束 考勤组
    * @return $groupIdEnd
    */
    public Long getGroupIdEnd(){
        return this.groupIdEnd;
    }

    /**
    * 设置 结束 考勤组
    * @param groupIdEnd
    */
    public void setGroupIdEnd(Long groupIdEnd){
        this.groupIdEnd = groupIdEnd;
    }

    /**
    * 获取 增加 考勤组
    * @return groupIdIncrement
    */
    public Long getGroupIdIncrement(){
        return this.groupIdIncrement;
    }

    /**
    * 设置 增加 考勤组
    * @param groupIdIncrement
    */
    public void setGroupIdIncrement(Long groupIdIncrement){
        this.groupIdIncrement = groupIdIncrement;
    }

    /**
    * 获取 考勤组
    * @return groupIdList
    */
    public List<Long> getGroupIdList(){
        return this.groupIdList;
    }

    /**
    * 设置 考勤组
    * @param groupIdList
    */
    public void setGroupIdList(List<Long> groupIdList){
        this.groupIdList = groupIdList;
    }

    /**
    * 获取 考勤组
    * @return groupIdNotList
    */
    public List<Long> getGroupIdNotList(){
        return this.groupIdNotList;
    }

    /**
    * 设置 考勤组
    * @param groupIdNotList
    */
    public void setGroupIdNotList(List<Long> groupIdNotList){
        this.groupIdNotList = groupIdNotList;
    }


    /**
    * 获取 考勤组名称
    * @return groupNameList
    */
    public List<String> getGroupNameList(){
        return this.groupNameList;
    }

    /**
    * 设置 考勤组名称
    * @param groupNameList
    */
    public void setGroupNameList(List<String> groupNameList){
        this.groupNameList = groupNameList;
    }

    /**
    * 获取 考勤组名称
    * @return groupNameNotList
    */
    public List<String> getGroupNameNotList(){
        return this.groupNameNotList;
    }

    /**
    * 设置 考勤组名称
    * @param groupNameNotList
    */
    public void setGroupNameNotList(List<String> groupNameNotList){
        this.groupNameNotList = groupNameNotList;
    }

    /**
    * 获取 开始 员工ID
    * @return staffIdStart
    */
    public Long getStaffIdStart(){
        return this.staffIdStart;
    }

    /**
    * 设置 开始 员工ID
    * @param staffIdStart
    */
    public void setStaffIdStart(Long staffIdStart){
        this.staffIdStart = staffIdStart;
    }

    /**
    * 获取 结束 员工ID
    * @return $staffIdEnd
    */
    public Long getStaffIdEnd(){
        return this.staffIdEnd;
    }

    /**
    * 设置 结束 员工ID
    * @param staffIdEnd
    */
    public void setStaffIdEnd(Long staffIdEnd){
        this.staffIdEnd = staffIdEnd;
    }

    /**
    * 获取 增加 员工ID
    * @return staffIdIncrement
    */
    public Long getStaffIdIncrement(){
        return this.staffIdIncrement;
    }

    /**
    * 设置 增加 员工ID
    * @param staffIdIncrement
    */
    public void setStaffIdIncrement(Long staffIdIncrement){
        this.staffIdIncrement = staffIdIncrement;
    }

    /**
    * 获取 员工ID
    * @return staffIdList
    */
    public List<Long> getStaffIdList(){
        return this.staffIdList;
    }

    /**
    * 设置 员工ID
    * @param staffIdList
    */
    public void setStaffIdList(List<Long> staffIdList){
        this.staffIdList = staffIdList;
    }

    /**
    * 获取 员工ID
    * @return staffIdNotList
    */
    public List<Long> getStaffIdNotList(){
        return this.staffIdNotList;
    }

    /**
    * 设置 员工ID
    * @param staffIdNotList
    */
    public void setStaffIdNotList(List<Long> staffIdNotList){
        this.staffIdNotList = staffIdNotList;
    }


    /**
    * 获取 员工姓名
    * @return staffNameList
    */
    public List<String> getStaffNameList(){
        return this.staffNameList;
    }

    /**
    * 设置 员工姓名
    * @param staffNameList
    */
    public void setStaffNameList(List<String> staffNameList){
        this.staffNameList = staffNameList;
    }

    /**
    * 获取 员工姓名
    * @return staffNameNotList
    */
    public List<String> getStaffNameNotList(){
        return this.staffNameNotList;
    }

    /**
    * 设置 员工姓名
    * @param staffNameNotList
    */
    public void setStaffNameNotList(List<String> staffNameNotList){
        this.staffNameNotList = staffNameNotList;
    }

    /**
    * 获取 开始 是否参与考勤，(0.否,1.是)
    * @return partAttendanceStart
    */
    public Integer getPartAttendanceStart(){
        return this.partAttendanceStart;
    }

    /**
    * 设置 开始 是否参与考勤，(0.否,1.是)
    * @param partAttendanceStart
    */
    public void setPartAttendanceStart(Integer partAttendanceStart){
        this.partAttendanceStart = partAttendanceStart;
    }

    /**
    * 获取 结束 是否参与考勤，(0.否,1.是)
    * @return $partAttendanceEnd
    */
    public Integer getPartAttendanceEnd(){
        return this.partAttendanceEnd;
    }

    /**
    * 设置 结束 是否参与考勤，(0.否,1.是)
    * @param partAttendanceEnd
    */
    public void setPartAttendanceEnd(Integer partAttendanceEnd){
        this.partAttendanceEnd = partAttendanceEnd;
    }

    /**
    * 获取 增加 是否参与考勤，(0.否,1.是)
    * @return partAttendanceIncrement
    */
    public Integer getPartAttendanceIncrement(){
        return this.partAttendanceIncrement;
    }

    /**
    * 设置 增加 是否参与考勤，(0.否,1.是)
    * @param partAttendanceIncrement
    */
    public void setPartAttendanceIncrement(Integer partAttendanceIncrement){
        this.partAttendanceIncrement = partAttendanceIncrement;
    }

    /**
    * 获取 是否参与考勤，(0.否,1.是)
    * @return partAttendanceList
    */
    public List<Integer> getPartAttendanceList(){
        return this.partAttendanceList;
    }

    /**
    * 设置 是否参与考勤，(0.否,1.是)
    * @param partAttendanceList
    */
    public void setPartAttendanceList(List<Integer> partAttendanceList){
        this.partAttendanceList = partAttendanceList;
    }

    /**
    * 获取 是否参与考勤，(0.否,1.是)
    * @return partAttendanceNotList
    */
    public List<Integer> getPartAttendanceNotList(){
        return this.partAttendanceNotList;
    }

    /**
    * 设置 是否参与考勤，(0.否,1.是)
    * @param partAttendanceNotList
    */
    public void setPartAttendanceNotList(List<Integer> partAttendanceNotList){
        this.partAttendanceNotList = partAttendanceNotList;
    }


    /**
    * 获取 备注
    * @return remarkList
    */
    public List<String> getRemarkList(){
        return this.remarkList;
    }

    /**
    * 设置 备注
    * @param remarkList
    */
    public void setRemarkList(List<String> remarkList){
        this.remarkList = remarkList;
    }

    /**
    * 获取 备注
    * @return remarkNotList
    */
    public List<String> getRemarkNotList(){
        return this.remarkNotList;
    }

    /**
    * 设置 备注
    * @param remarkNotList
    */
    public void setRemarkNotList(List<String> remarkNotList){
        this.remarkNotList = remarkNotList;
    }

    /**
    * 获取 开始 创建用户
    * @return createUserIdStart
    */
    public Long getCreateUserIdStart(){
        return this.createUserIdStart;
    }

    /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public void setCreateUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
    }

    /**
    * 获取 结束 创建用户
    * @return $createUserIdEnd
    */
    public Long getCreateUserIdEnd(){
        return this.createUserIdEnd;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public void setCreateUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
    }

    /**
    * 获取 增加 创建用户
    * @return createUserIdIncrement
    */
    public Long getCreateUserIdIncrement(){
        return this.createUserIdIncrement;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
    * 获取 创建用户
    * @return createUserIdList
    */
    public List<Long> getCreateUserIdList(){
        return this.createUserIdList;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
    }

    /**
    * 获取 创建用户
    * @return createUserIdNotList
    */
    public List<Long> getCreateUserIdNotList(){
        return this.createUserIdNotList;
    }

    /**
    * 设置 创建用户
    * @param createUserIdNotList
    */
    public void setCreateUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
    }


    /**
    * 获取 开始 创建时间
    * @return createTimeStart
    */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
    * 设置 开始 创建时间
    * @param createTimeStart
    */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
    * 获取 结束 创建时间
    * @return createTimeEnd
    */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
    * 设置 结束 创建时间
    * @param createTimeEnd
    */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
    * 获取 开始 更新用户
    * @return updateUserIdStart
    */
    public Long getUpdateUserIdStart(){
        return this.updateUserIdStart;
    }

    /**
    * 设置 开始 更新用户
    * @param updateUserIdStart
    */
    public void setUpdateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
    }

    /**
    * 获取 结束 更新用户
    * @return $updateUserIdEnd
    */
    public Long getUpdateUserIdEnd(){
        return this.updateUserIdEnd;
    }

    /**
    * 设置 结束 更新用户
    * @param updateUserIdEnd
    */
    public void setUpdateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
    }

    /**
    * 获取 增加 更新用户
    * @return updateUserIdIncrement
    */
    public Long getUpdateUserIdIncrement(){
        return this.updateUserIdIncrement;
    }

    /**
    * 设置 增加 更新用户
    * @param updateUserIdIncrement
    */
    public void setUpdateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
    }

    /**
    * 获取 更新用户
    * @return updateUserIdList
    */
    public List<Long> getUpdateUserIdList(){
        return this.updateUserIdList;
    }

    /**
    * 设置 更新用户
    * @param updateUserIdList
    */
    public void setUpdateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
    }

    /**
    * 获取 更新用户
    * @return updateUserIdNotList
    */
    public List<Long> getUpdateUserIdNotList(){
        return this.updateUserIdNotList;
    }

    /**
    * 设置 更新用户
    * @param updateUserIdNotList
    */
    public void setUpdateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
    }


    /**
    * 获取 开始 更新时间
    * @return updateTimeStart
    */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
    * 设置 开始 更新时间
    * @param updateTimeStart
    */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
    * 获取 结束 更新时间
    * @return updateTimeEnd
    */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
    * 设置 结束 更新时间
    * @param updateTimeEnd
    */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
    * 设置  序号，主键，自增长
    * @param id
    */
    public AttendanceGroupStaffQuery id(Long id){
	    setId(id);
		return this;
    }
	
	 /**
    * 设置 开始 序号，主键，自增长
    * @param idStart
    */
    public AttendanceGroupStaffQuery idStart(Long idStart){
		this.idStart = idStart;
		return this;
    }

    /**
    * 设置 结束 序号，主键，自增长
    * @param idEnd
    */
    public AttendanceGroupStaffQuery idEnd(Long idEnd){
		this.idEnd = idEnd;
		return this;
    }

    /**
    * 设置 增加 序号，主键，自增长
    * @param idIncrement
    */
    public AttendanceGroupStaffQuery idIncrement(Long idIncrement){
		this.idIncrement = idIncrement;
		return this;
    }

    /**
    * 设置 序号，主键，自增长
    * @param idList
    */
    public AttendanceGroupStaffQuery idList(List<Long> idList){
        this.idList = idList;
		return this;
        }

        /**
        * 设置 序号，主键，自增长
        * @param idNotList
        */
        public AttendanceGroupStaffQuery idNotList(List<Long> idNotList){
        this.idNotList = idNotList;
        return this;
        }

    /**
    * 设置  考勤组
    * @param groupId
    */
    public AttendanceGroupStaffQuery groupId(Long groupId){
	    setGroupId(groupId);
		return this;
    }
	
	 /**
    * 设置 开始 考勤组
    * @param groupIdStart
    */
    public AttendanceGroupStaffQuery groupIdStart(Long groupIdStart){
		this.groupIdStart = groupIdStart;
		return this;
    }

    /**
    * 设置 结束 考勤组
    * @param groupIdEnd
    */
    public AttendanceGroupStaffQuery groupIdEnd(Long groupIdEnd){
		this.groupIdEnd = groupIdEnd;
		return this;
    }

    /**
    * 设置 增加 考勤组
    * @param groupIdIncrement
    */
    public AttendanceGroupStaffQuery groupIdIncrement(Long groupIdIncrement){
		this.groupIdIncrement = groupIdIncrement;
		return this;
    }

    /**
    * 设置 考勤组
    * @param groupIdList
    */
    public AttendanceGroupStaffQuery groupIdList(List<Long> groupIdList){
        this.groupIdList = groupIdList;
		return this;
        }

        /**
        * 设置 考勤组
        * @param groupIdNotList
        */
        public AttendanceGroupStaffQuery groupIdNotList(List<Long> groupIdNotList){
        this.groupIdNotList = groupIdNotList;
        return this;
        }


	/**
    * 设置 考勤组名称
    * @param groupName
    */
    public AttendanceGroupStaffQuery groupName(String groupName){
        setGroupName(groupName);
		return this;
    }

    /**
    * 设置 考勤组名称
    * @param groupNameList
    */
    public AttendanceGroupStaffQuery groupNameList(List<String> groupNameList){
        this.groupNameList = groupNameList;
		return this;
    }

    /**
    * 设置  员工ID
    * @param staffId
    */
    public AttendanceGroupStaffQuery staffId(Long staffId){
	    setStaffId(staffId);
		return this;
    }
	
	 /**
    * 设置 开始 员工ID
    * @param staffIdStart
    */
    public AttendanceGroupStaffQuery staffIdStart(Long staffIdStart){
		this.staffIdStart = staffIdStart;
		return this;
    }

    /**
    * 设置 结束 员工ID
    * @param staffIdEnd
    */
    public AttendanceGroupStaffQuery staffIdEnd(Long staffIdEnd){
		this.staffIdEnd = staffIdEnd;
		return this;
    }

    /**
    * 设置 增加 员工ID
    * @param staffIdIncrement
    */
    public AttendanceGroupStaffQuery staffIdIncrement(Long staffIdIncrement){
		this.staffIdIncrement = staffIdIncrement;
		return this;
    }

    /**
    * 设置 员工ID
    * @param staffIdList
    */
    public AttendanceGroupStaffQuery staffIdList(List<Long> staffIdList){
        this.staffIdList = staffIdList;
		return this;
        }

        /**
        * 设置 员工ID
        * @param staffIdNotList
        */
        public AttendanceGroupStaffQuery staffIdNotList(List<Long> staffIdNotList){
        this.staffIdNotList = staffIdNotList;
        return this;
        }


	/**
    * 设置 员工姓名
    * @param staffName
    */
    public AttendanceGroupStaffQuery staffName(String staffName){
        setStaffName(staffName);
		return this;
    }

    /**
    * 设置 员工姓名
    * @param staffNameList
    */
    public AttendanceGroupStaffQuery staffNameList(List<String> staffNameList){
        this.staffNameList = staffNameList;
		return this;
    }

    /**
    * 设置  是否参与考勤，(0.否,1.是)
    * @param partAttendance
    */
    public AttendanceGroupStaffQuery partAttendance(Integer partAttendance){
	    setPartAttendance(partAttendance);
		return this;
    }
	
	 /**
    * 设置 开始 是否参与考勤，(0.否,1.是)
    * @param partAttendanceStart
    */
    public AttendanceGroupStaffQuery partAttendanceStart(Integer partAttendanceStart){
		this.partAttendanceStart = partAttendanceStart;
		return this;
    }

    /**
    * 设置 结束 是否参与考勤，(0.否,1.是)
    * @param partAttendanceEnd
    */
    public AttendanceGroupStaffQuery partAttendanceEnd(Integer partAttendanceEnd){
		this.partAttendanceEnd = partAttendanceEnd;
		return this;
    }

    /**
    * 设置 增加 是否参与考勤，(0.否,1.是)
    * @param partAttendanceIncrement
    */
    public AttendanceGroupStaffQuery partAttendanceIncrement(Integer partAttendanceIncrement){
		this.partAttendanceIncrement = partAttendanceIncrement;
		return this;
    }

    /**
    * 设置 是否参与考勤，(0.否,1.是)
    * @param partAttendanceList
    */
    public AttendanceGroupStaffQuery partAttendanceList(List<Integer> partAttendanceList){
        this.partAttendanceList = partAttendanceList;
		return this;
        }

        /**
        * 设置 是否参与考勤，(0.否,1.是)
        * @param partAttendanceNotList
        */
        public AttendanceGroupStaffQuery partAttendanceNotList(List<Integer> partAttendanceNotList){
        this.partAttendanceNotList = partAttendanceNotList;
        return this;
        }


	/**
    * 设置 备注
    * @param remark
    */
    public AttendanceGroupStaffQuery remark(String remark){
        setRemark(remark);
		return this;
    }

    /**
    * 设置 备注
    * @param remarkList
    */
    public AttendanceGroupStaffQuery remarkList(List<String> remarkList){
        this.remarkList = remarkList;
		return this;
    }

    /**
    * 设置  创建用户
    * @param createUserId
    */
    public AttendanceGroupStaffQuery createUserId(Long createUserId){
	    setCreateUserId(createUserId);
		return this;
    }
	
	 /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public AttendanceGroupStaffQuery createUserIdStart(Long createUserIdStart){
		this.createUserIdStart = createUserIdStart;
		return this;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public AttendanceGroupStaffQuery createUserIdEnd(Long createUserIdEnd){
		this.createUserIdEnd = createUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public AttendanceGroupStaffQuery createUserIdIncrement(Long createUserIdIncrement){
		this.createUserIdIncrement = createUserIdIncrement;
		return this;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public AttendanceGroupStaffQuery createUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
		return this;
        }

        /**
        * 设置 创建用户
        * @param createUserIdNotList
        */
        public AttendanceGroupStaffQuery createUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
        return this;
        }


    /**
    * 设置  更新用户
    * @param updateUserId
    */
    public AttendanceGroupStaffQuery updateUserId(Long updateUserId){
	    setUpdateUserId(updateUserId);
		return this;
    }
	
	 /**
    * 设置 开始 更新用户
    * @param updateUserIdStart
    */
    public AttendanceGroupStaffQuery updateUserIdStart(Long updateUserIdStart){
		this.updateUserIdStart = updateUserIdStart;
		return this;
    }

    /**
    * 设置 结束 更新用户
    * @param updateUserIdEnd
    */
    public AttendanceGroupStaffQuery updateUserIdEnd(Long updateUserIdEnd){
		this.updateUserIdEnd = updateUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 更新用户
    * @param updateUserIdIncrement
    */
    public AttendanceGroupStaffQuery updateUserIdIncrement(Long updateUserIdIncrement){
		this.updateUserIdIncrement = updateUserIdIncrement;
		return this;
    }

    /**
    * 设置 更新用户
    * @param updateUserIdList
    */
    public AttendanceGroupStaffQuery updateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
		return this;
        }

        /**
        * 设置 更新用户
        * @param updateUserIdNotList
        */
        public AttendanceGroupStaffQuery updateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
        return this;
        }


    /**
    * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @return orConditionList
    */
    public List<AttendanceGroupStaffQuery> getOrConditionList(){
    return this.orConditionList;
    }

    /**
    * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @param orConditionList
    */
    public void setOrConditionList(List<AttendanceGroupStaffQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
    * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @return andConditionList
    */
    public List<AttendanceGroupStaffQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
    * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @param andConditionList
    */
    public void setAndConditionList(List<AttendanceGroupStaffQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}